## commonj.sdo
Interface Type

All Known Subinterfaces:
  EType

All Known Implementing Classes:
  ETypeImpl

    public interface Type

A representation of the type of a `property` of a `data object`.

Method Summary
`java.lang.Class` `getInstanceClass()` Returns the Java class that this type represents.
`java.lang.String` `getName()` Returns the name of the type.
`java.util.List` `getProperties()` Returns the list of the `properties` of this type.
`Property` `getProperty(java.lang.String propertyName)` Returns from `all the properties` of this type, the one with the specified name.
`java.lang.String` `getURI()` Returns the namespace URI of the type.
`boolean` `isInstance(java.lang.Object object)` Returns whether the specified object is an instance of this type.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the type.

  Returns:
    the type name.

### getURI

    java.lang.String getURI()

  Returns the namespace URI of the type.

  Returns:
    the namespace URI.

### getInstanceClass

    java.lang.Class getInstanceClass()

  Returns the Java class that this type represents.

  Returns:
    the Java class.

### isInstance

    boolean isInstance(java.lang.Object object)

  Returns whether the specified object is an instance of this type.

  Parameters:
    `object` - the object in question.
  Returns:
    `true` if the object is an instance.
  See Also:
    `Class.isInstance(java.lang.Object)`

### getProperties

    java.util.List getProperties()

  Returns the list of the `properties` of this type.

  The expression

         type.getProperties().indexOf(property)

  yields the property's index relative to this type. As such, these expressions are equivalent:

          dataObject.get(i)
          dataObject.get((Property)dataObject.getType().getProperties().get(i));

  Returns:
    the properties of the type.
  See Also:
    `Property.getContainingType()`

### getProperty

    Property getProperty(java.lang.String propertyName)

  Returns from `all the properties` of this type, the one with the specified name. As such, these expressions are equivalent:

          dataObject.get("name")
          dataObject.get(dataObject.getType().getProperty("name"))

  Returns:
    the property with the specified name.
  See Also:
    `getProperties()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.